summaryrefslogtreecommitdiffstats
path: root/libraries/libwps/libwps.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libwps/libwps.SlackBuild')
-rw-r--r--libraries/libwps/libwps.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/libraries/libwps/libwps.SlackBuild b/libraries/libwps/libwps.SlackBuild
index 838e0c09dd..0e00d37b50 100644
--- a/libraries/libwps/libwps.SlackBuild
+++ b/libraries/libwps/libwps.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libwps
-# Copyright 2015-2018 Hunter Sezen California, USA
+# Copyright 2015-2018, 2020 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libwps
-VERSION=${VERSION:-0.4.10}
+VERSION=${VERSION:-0.4.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -74,6 +74,8 @@ case "${DOC:-0}" in
*) doc='--with-docs' ;;
esac
+autoreconf -fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -88,11 +90,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING* CREDITS ChangeLog HACKING INSTALL NEWS README \
+cp -a COPYING* CREDITS ChangeLog HACKING NEWS README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild